# class Prism::Comment

This represents a comment that was encountered during parsing. It is the base class for all comment types.

### Attributes

location [R]

The location of this comment in the source.

### Public Class Methods

new (location)
Source

    # File lib/prism/parse_result.rb, line 512
    def initialize(location)
      @location = location
    end

Create a new comment object with the given location.

### Public Instance Methods

deconstruct_keys (keys)
Source

    # File lib/prism/parse_result.rb, line 517
    def deconstruct_keys(keys)
      { location: location }
    end

Implement the hash pattern matching interface for `Comment`.

slice ()
Source

    # File lib/prism/parse_result.rb, line 522
    def slice
      location.slice
    end

Returns the content of the comment by slicing it from the source code.